@import "../base/variable.scss";
@import "../base/mixins.scss";


.contact-wrap{
    padding: 80px 0;
    .cont-bck-main{
        background-color: transparent;
        position: relative;
        z-index: 4;
        box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
        overflow: hidden;
        border-radius: 20px;
        .contact-head{
            padding-bottom: 50px;
            h2{
            font-size: 42px;
            font-weight: 600;
            }
        }
        .cont-bck{
            background-color: $white;
            .query-side{
                background-color: $red;
                padding: 40px;
                padding-top: 60px;
                height: 100%;
                position: relative;
                overflow: hidden;
                color: $white;
                border-radius: 20px;
                border-top-right-radius: 0;
                border-bottom-right-radius: 0;
                &::after{
                    position: absolute;
                    content: '';
                    background-image: url('../images/contact.png');
                    background-repeat: no-repeat;
                    width: 100%;
                    background-size: cover;
                    height: 781px;
                    z-index: 0;
                    bottom: -355px;
                    right: -103px;
                    opacity: 0.5;
                }
               
                .query-title-head-line{
                    h3{
                        font-size: 42px;
                        color: $white;
                        font-weight: 700;
                    }
                    p{
                        font-size: 15px;
                        padding-top: 20px;
                    }
                }
                .eleat-contact-query{
                    padding-top: 20px;
                    padding-bottom: 20px;
                    ul{
                        li{
                            position: relative;
                            margin-bottom: rem(25);
                            a{
                                display: block;
                               
                                padding-left: rem(33);
                                color: $white;
                                font-size: rem(16);
                                position: relative;
                                &:before{
                                    position: absolute;
                                    content: "";
                                    left: 0;
                                    top: 0;
                                    font-family: 'Font Awesome 5 Pro';
                                    color: $white;
                                    font-size: 18px;
                                    padding-top: 0px;
                                    font-weight: 700;
                                    font-weight: 300;
                                   
                                }
                            }
                            &.map{
                                a{
                                    &::before{
                                    content: "\f3c5";
                                    }
                                }
                            }
                            &.phone{
                                a{
                                    &::before{
                                        content: "\f879";
                                    }
                                }
                            }

                            &.email{
                                margin-bottom: 0;
                                a{
                                    &::before{
                                    content: "\f1fa";
                                    }
                                }
                            }
                        }
                    }
                }
                .social-share{
                    padding-top: 20px;
                    ul{
                        li{
                            display: inline-block;
                            a{
                                i{
                                    color: $white;
                                    padding-right: 25px;
                                    font-size: 20px;
                                }
                            }
                        }
                    }
                }
                .contact_time{
                    position: absolute;
                    bottom: 20px;
                    left: 30px;
                    right: 20px;
                    z-index: 1;
                        .contact_time_wrap{
                        background-color: rgba($color: $white, $alpha: 0.2);
                        backdrop-filter: blur(50px);
                        display: flex;
                        justify-content: space-between;
                        border-radius: 15px;
                        padding: 15px;
                        p{
                            font-size: 14px;
                        }
                    }
                }
            }
            .query-form{
                padding: 40px;
                background-color: $white;
                box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.15);
                .form-group{
                    margin-bottom: 20px;
                    label{
                        font-weight: 500;
                        img{
                            margin-right: 14px;
                        }
                    }
                    .form-control{
                        background-color: $input;
                        border-radius: 15px;
                    }
                    .form-select{
                        background-color: $input;
                        border-radius: 15px;
                        background-image: url("../images/Icon.png");
                    }
                    textarea{
                        &.form-control{
                            height: 150px;
                        }
                    }
                }
                .subiter{
                   margin: 0 auto;
                   text-align: center;
                    @include clearfix();
                    padding-top: 20px;
                }
            }
        }
    }
    .mapes{
        height: 200px;
        position: relative;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
        margin-top: -24px;
        overflow: hidden;
        .locat{
            position: absolute;
            left: 0;
            right: 0;
            top: 35%;
            text-align: center;
            margin: 0 auto;
            .icon{
                i{
                    color: $red;
                    font-size: 30px;
                    font-weight: 700;
                }
            }
        }
     }
}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){

}

@media (min-width: 1200px) and (max-width: 1399px){
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .contact-wrap{
        .cont-bck-main{
            .cont-bck{
                .query-side{
                    .query-title-head-line{
                        h2{
                            font-size: 30px;
                        }
                    }
                    .contact_time{
                        left: 18px;
                        right: 6px;
                        .contact_time_wrap{
                            padding: 10px;
                            p{
                                word-break: break-word;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .contact-wrap{
        padding: 40px 0;
        .cont-bck-main{
            .cont-bck{
                .query-side{
                    margin-bottom: 20px;
                    height: 100%;
                    padding: 20px;
                    padding-top: 40px;
                    border-bottom-left-radius: 0;
                    &::after{
                        content: none;
                    }
                    .contact_time{
                        position: static;
                        padding-top: 15px;
                    }
                    .query-title-head-line{
                       
                        h3{
                            font-size: 38px;
                        }
                    }
                }
                .query-form{
                    padding: 20px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .contact-wrap{
        padding: 40px 0;
        .cont-bck-main{
            .cont-bck{
                .query-side{
                    margin-bottom: 20px;
                    height: 100%;
                    padding:20px;
                    padding-top: 40px;
                    border-bottom-left-radius: 0;
                    &::after{
                        content: none;
                    }
                    .contact_time{
                        position: static;
                        padding-top: 15px;
                        .contact_time_wrap{
                            display: block;
                            p{
                                padding-top: 10px;
                                &:first-child{
                                    padding-top: 0;
                                }
                            }
                        }
                    }
                   
                    .query-title-head-line{
                       
                        h3{
                            font-size: 30px;
                        }
                    }
                }
                .query-form{
                    padding: 20px;
                }
            }
        }
        .mapes{
            height: 140px;
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .contact-wrap{
        padding: 40px 0;
        .cont-bck-main{
            .cont-bck{
                .query-side{
                    margin-bottom: 20px;
                    height: 100%;
                    padding:20px;
                    padding-top: 40px;
                    border-bottom-left-radius: 0;
                    &::after{
                        content: none;
                    }
                    .contact_time{
                        position: static;
                        padding-top: 15px;
                        .contact_time_wrap{
                            display: block;
                            p{
                                padding-top: 10px;
                                &:first-child{
                                    padding-top: 0;
                                }
                            }
                        }
                    }
                    .query-title-head-line{
                       
                        h3{
                            font-size: 30px;
                        }
                    }
                }
                .query-form{
                    padding: 20px;
                }
            }
        }
        .mapes{
            height: 140px;
        }
    }
}







